Page MenuHomePhabricator

'continue' button on the iDeal donation form not working
Closed, ResolvedPublic2 Estimate Story Points

Description

We received one error message today from a donor, and are able to replicate it using Firefox and Chrome: if you fill out the first step of a donation via iDeal at https://donate.wikimedia.org/wiki/Special:FundraiserLandingPage?uselang=en&country=nl, when you press Continue the form does not process. The Netherlands campaign is not until late March but this is a popular method and we should fix this if possible or remove the option. We do have recent iDeal contribs in Civi, like 7508519545, so it's not certain when the error may have started.

Event Timeline

MBeat33 created this task.Feb 1 2016, 11:56 PM
MBeat33 raised the priority of this task from to Needs Triage.
MBeat33 updated the task description. (Show Details)
MBeat33 added a project: Fundraising-Backlog.
MBeat33 added subscribers: MBeat33, Ppena.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 1 2016, 11:56 PM
atgo added a subscriber: atgo.

Thanks @MBeat33. We'll get this one in the hopper in one of the next couple of sprints. Keep in mind we're running lean right now with tech because a couple of people are working on the ed program.

Thanks. When I tried just now, I was able to reach the bank pages for ABN AMRO, ING, SNS Bank and ASN Bank, but not any of the other banks.

atgo triaged this task as High priority.Feb 3 2016, 10:14 PM
atgo set Security to None.
atgo added a project: FR-Ingenico.

After fiddling with this form for a bit the only one that consistently doesn't work for me is Friesland Bank, the forwarding seems to work for all the others. Friesland fails silently, maybe there's an error, we can do better.

cwdent moved this task from Backlog to Doing on the Fundraising Sprint Dirt Farming board.

This is throwing an error we don't have in the list: 400880

I see "No processors available" in the log but it doesn't error on the front end.

I will follow up with Ingenico about that error.

DStrine renamed this task from 'continue' button on the iDeal donation form not working to [EPIC] 'continue' button on the iDeal donation form not working.Mar 2 2016, 11:41 PM
DStrine added a project: Epic.
DStrine renamed this task from [EPIC] 'continue' button on the iDeal donation form not working to 'continue' button on the iDeal donation form not working.Mar 2 2016, 11:44 PM
DStrine removed a project: Epic.
DStrine set the point value for this task to 4.Mar 2 2016, 11:49 PM
cwdent closed this task as Resolved.Mar 4 2016, 5:58 PM

I unblocked this and am closing because this is "solved" inasmuch as the currently broken option has been removed. The tasks I moved out of the way describe the longer term updates.

cwdent changed the point value for this task from 4 to 2.Mar 4 2016, 5:59 PM